<template lang="pug">
BaseDialog.x-edit-data-flag-dialog(ref='dialog')
  template(v-slot:title='')
    h5.modal-title Run \#{{ run.runNumber }}
  template(v-slot:default='')
    ul.list-group.list-group-flush
      li.list-group-item.d-flex.justify-content-center
        BaseParamList.col-12.col-md-6.col-xl-3(ref='status' :inEdit='true' title='Status' :value='run.dataStatus')
          template(v-slot:options='')
            option(value='ok') Ok
            option(value='bad') Bad
            option(value='stopped') Unknown
      li.list-group-item
        strong.pl-2 Comment:
        BaseMarkdownWidget(v-if='visible' ref='md' :inEdit='true')
  template(v-slot:footer='d')
    button.mr-1.btn.btn-secondary(@click='d.resolve(false)') Cancel
    button.btn.btn-primary.x-submit(@click='d.resolve(true)') Submit
</template>
<script>

export { default } from './EditDataStatusDialog.vue.js';

</script>
<style lang='scss'>
.x-edit-data-flag-dialog {
  .modal-body {
    padding-top: 0px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
  }
  .b-markdown-preview {
    padding-left: 15px;
    padding-right: 15px;
  }
}
</style>
